// email-log.js
// Copyright (C) 2022 DTP Technologies, LLC
// License: Apache-2.0

'use strict';

const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const EmailLogSchema = new Schema({
  created: { type: Date, default: Date.now, required: true, index: -1 },
  from: { type: String, required: true, },
  to: { type: String, required: true },
  to_lc: { type: String, required: true, lowercase: true, index: 1 },
  subject: { type: String },
  messageId: { type: String },
});

module.exports = mongoose.model('EmailLog', EmailLogSchema);